| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
CommonStructMember Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure CommonStructMember defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | CommonStructMember ()
| Default constructor.
eProsima_user_DllExport | ~CommonStructMember ()
| Default destructor.
eProsima_user_DllExport | CommonStructMember (const CommonStructMember &x)
| Copy constructor.
eProsima_user_DllExport | CommonStructMember (CommonStructMember &&x) noexcept
| Move constructor.
eProsima_user_DllExport CommonStructMember & | operator= (const CommonStructMember &x)
| Copy assignment.
eProsima_user_DllExport CommonStructMember & | operator= (CommonStructMember &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const CommonStructMember &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const CommonStructMember &x) const
| Comparison operator.
eProsima_user_DllExport void | member_id (MemberId _member_id)
| This function sets a value in member member_id.
eProsima_user_DllExport MemberId | member_id () const
| This function returns the value of member member_id.
eProsima_user_DllExport MemberId & | member_id ()
| This function returns a reference to member member_id.
eProsima_user_DllExport void | member_flags (const StructMemberFlag &_member_flags)
| This function copies the value in member member_flags.
eProsima_user_DllExport void | member_flags (StructMemberFlag &&_member_flags)
| This function moves the value in member member_flags.
eProsima_user_DllExport const StructMemberFlag & | member_flags () const
| This function returns a constant reference to member member_flags.
eProsima_user_DllExport StructMemberFlag & | member_flags ()
| This function returns a reference to member member_flags.
eProsima_user_DllExport void | member_type_id (const TypeIdentifier &_member_type_id)
| This function copies the value in member member_type_id.
eProsima_user_DllExport void | member_type_id (TypeIdentifier &&_member_type_id)
| This function moves the value in member member_type_id.
eProsima_user_DllExport const TypeIdentifier & | member_type_id () const
| This function returns a constant reference to member member_type_id.
eProsima_user_DllExport TypeIdentifier & | member_type_id ()
| This function returns a reference to member member_type_id.

## Detailed Description

This class represents the structure CommonStructMember defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ CommonStructMember() [1/3]

eProsima_user_DllExport CommonStructMember | ( |  | ) |

inline

Default constructor.

## ◆ ~CommonStructMember()

eProsima_user_DllExport ~CommonStructMember | ( |  | ) |

inline

Default destructor.

## ◆ CommonStructMember() [2/3]

eProsima_user_DllExport CommonStructMember | ( | const CommonStructMember & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object CommonStructMember that will be copied.

## ◆ CommonStructMember() [3/3]

eProsima_user_DllExport CommonStructMember | ( | CommonStructMember && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object CommonStructMember that will be copied.

## Member Function Documentation

## ◆ member_flags() [1/4]

eProsima_user_DllExport StructMemberFlag & member_flags | ( |  | ) |

inline

This function returns a reference to member member_flags.

Returns
  Reference to member member_flags

## ◆ member_flags() [2/4]

eProsima_user_DllExport const StructMemberFlag & member_flags | ( |  | ) | const

inline

This function returns a constant reference to member member_flags.

Returns
  Constant reference to member member_flags

## ◆ member_flags() [3/4]

eProsima_user_DllExport void member_flags | ( | const StructMemberFlag & | _member_flags | ) |

inline

This function copies the value in member member_flags.

Parameters

  _member_flags | New value to be copied in member member_flags

## ◆ member_flags() [4/4]

eProsima_user_DllExport void member_flags | ( | StructMemberFlag && | _member_flags | ) |

inline

This function moves the value in member member_flags.

Parameters

  _member_flags | New value to be moved in member member_flags

## ◆ member_id() [1/3]

eProsima_user_DllExport MemberId & member_id | ( |  | ) |

inline

This function returns a reference to member member_id.

Returns
  Reference to member member_id

## ◆ member_id() [2/3]

eProsima_user_DllExport MemberId member_id | ( |  | ) | const

inline

This function returns the value of member member_id.

Returns
  Value of member member_id

## ◆ member_id() [3/3]

eProsima_user_DllExport void member_id | ( | MemberId | _member_id | ) |

inline

This function sets a value in member member_id.

Parameters

  _member_id | New value for member member_id

## ◆ member_type_id() [1/4]

eProsima_user_DllExport TypeIdentifier & member_type_id | ( |  | ) |

inline

This function returns a reference to member member_type_id.

Returns
  Reference to member member_type_id

## ◆ member_type_id() [2/4]

eProsima_user_DllExport const TypeIdentifier & member_type_id | ( |  | ) | const

inline

This function returns a constant reference to member member_type_id.

Returns
  Constant reference to member member_type_id

## ◆ member_type_id() [3/4]

eProsima_user_DllExport void member_type_id | ( | const TypeIdentifier & | _member_type_id | ) |

inline

This function copies the value in member member_type_id.

Parameters

  _member_type_id | New value to be copied in member member_type_id

## ◆ member_type_id() [4/4]

eProsima_user_DllExport void member_type_id | ( | TypeIdentifier && | _member_type_id | ) |

inline

This function moves the value in member member_type_id.

Parameters

  _member_type_id | New value to be moved in member member_type_id

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const CommonStructMember & | x | ) | const

inline

Comparison operator.

Parameters

  x | CommonStructMember object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport CommonStructMember & operator= | ( | CommonStructMember && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object CommonStructMember that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport CommonStructMember & operator= | ( | const CommonStructMember & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object CommonStructMember that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const CommonStructMember & | x | ) | const

inline

Comparison operator.

Parameters

  x | CommonStructMember object to compare.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp